> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.alephant.io/api-reference/saa-s-api/stripe/webhook/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.alephant.io/_mcp/server. # Stripe Webhook POST https://alephant.io/stripe/webhook Receives and processes Stripe webhook events. Signature-verified; no JWT required. Reference: https://developers.alephant.io/api-reference/saa-s-api/stripe/webhook ## Servers - `https://alephant.io` (Production, default) - `https://dev.alephant.io` (Development) ## Request ### Headers - `Stripe-Signature` (string, required) — Stripe signature ## Response ### 200 OK - `map from string to string` ## Errors ### 400 Bad Request Error Bad Request - `map from string to string` ## Examples **Response** ```json {} ``` **SDK Code** ```python import requests url = "https://alephant.io/stripe/webhook" headers = {"Stripe-Signature": "Stripe-Signature"} response = requests.post(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://alephant.io/stripe/webhook'; const options = {method: 'POST', headers: {'Stripe-Signature': 'Stripe-Signature'}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://alephant.io/stripe/webhook" req, _ := http.NewRequest("POST", url, nil) req.Header.Add("Stripe-Signature", "Stripe-Signature") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://alephant.io/stripe/webhook") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Stripe-Signature"] = 'Stripe-Signature' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://alephant.io/stripe/webhook") .header("Stripe-Signature", "Stripe-Signature") .asString(); ``` ```php request('POST', 'https://alephant.io/stripe/webhook', [ 'headers' => [ 'Stripe-Signature' => 'Stripe-Signature', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://alephant.io/stripe/webhook"); var request = new RestRequest(Method.POST); request.AddHeader("Stripe-Signature", "Stripe-Signature"); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Stripe-Signature": "Stripe-Signature"] let request = NSMutableURLRequest(url: NSURL(string: "https://alephant.io/stripe/webhook")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```